Bug 1735356 - Uses util.debug which is deprecated and removed from latest nodejs
Summary: Uses util.debug which is deprecated and removed from latest nodejs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-ronn
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1734999
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:42 UTC by Piotr Popieluch
Modified: 2020-05-30 03:51 UTC (History)
3 users (show)

Fixed In Version: nodejs-ronn-0.4.0-16.fc32 nodejs-ronn-0.4.0-16.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-30 01:53:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Piotr Popieluch 2019-07-31 19:42:21 UTC
When using on Rawhide it gives the following error.

BUILDSTDERR: /usr/lib/node_modules/ronn/lib/ronn.js:263
BUILDSTDERR: 				sys.debug("unrecognized inline tag: " + tag);


where sys is 'util'

var sys = require('util');



I think this could be due to deprecation of util.debug, see this on F30:

when running this on 
> var sys = require('util');
undefined
> sys.debug()
DEBUG: undefined
undefined
> (node:28636) [DEP0028] DeprecationWarning: util.debug is deprecated. Use console.error instead.

Comment 1 Ben Cotton 2019-08-13 17:06:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:51:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Stuart D Gathman 2019-08-14 00:44:07 UTC
This is a dup of bz#1735361 - where I also submitted a patch.  I made my cjdns project depending on nodejs-ronn build by making a local copy of nodejs-ronn in the cjdns build directory (which already had a node_modules as it does other node stuff during build) and patching it.  Ugly, but works.

Comment 4 Piotr Popieluch 2019-08-14 08:35:43 UTC
Thanks for the suggestion. There is also a rubygem ronn, I think I will just switch to that one.

Comment 5 Fedora Update System 2020-05-21 03:38:52 UTC
FEDORA-2020-e25557eb2f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e25557eb2f

Comment 6 Fedora Update System 2020-05-21 03:38:53 UTC
FEDORA-2020-4ca6565ae6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ca6565ae6

Comment 7 Fedora Update System 2020-05-21 03:38:54 UTC
FEDORA-2020-874c8d3f48 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-874c8d3f48

Comment 8 Fedora Update System 2020-05-22 03:02:06 UTC
FEDORA-2020-4ca6565ae6 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4ca6565ae6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ca6565ae6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-22 04:23:40 UTC
FEDORA-2020-874c8d3f48 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-874c8d3f48`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-874c8d3f48

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-22 04:54:29 UTC
FEDORA-2020-e25557eb2f has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e25557eb2f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e25557eb2f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-30 01:53:50 UTC
FEDORA-2020-874c8d3f48 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-30 03:51:05 UTC
FEDORA-2020-4ca6565ae6 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.